<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Matricula extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->model('Cursos_Model');
        $this->load->model('Matricula_Model');
        $this->load->database();
    }

    public function matricula() {

        $id = $this->input->post('curso');
        $duracao = $this->input->post('duracao');
        if ($duracao != NULL) {

            $curso = $this->Cursos_Model->obtemCursosPorID($id);
            $calc = $duracao * 0.66;
            $total = number_format($calc, 2, ',', '.');
            foreach ($curso as $cursos) {
                $data = array('situacao' => 'matriculado', 'nome_curso' => $cursos->nome, 'carga' => $duracao, 'preco' => $total, 'id_curso' => $id);
                $this->session->set_userdata("matricula-aluno", $data);

                if (isset($_SESSION['aluno']) == FALSE) {
                    
                    echo json_encode($data);
                } else {

                    $hash = $this->Matricula_Model->gera_hash();
                    $aut = $this->Matricula_Model->gera_autenticacao($hash);
                    $id_aluno = $_SESSION['aluno']['id_aluno'];
                    $verificamat = $this->Matricula_Model->obtemCursoMatriculadoporID($id);
                    $con = $this->Matricula_Model->obtemCursoConcluido($id);
                    $concluido = $con['concluido'];
                    
                    $this->verificamatricula($verificamat, $id_aluno, $aut, $concluido);
                }
            }
        } else {
            $data = array('situacao' => 'select-vazio');
            echo json_encode($data);
        }
    }

    public function verificamatricula($verificamat, $id_aluno, $aut, $concluido) {

        if ($verificamat == NULL) {
            $this->Matricula_Model->realizamatricula($id_aluno, $aut);
            $data = array('situacao' => 'matriculado-l');
            echo json_encode($data);
        } else if ($concluido == 1 || $concluido == 2 || $concluido == 3) {
            $this->Matricula_Model->realizamatricula($id_aluno, $aut);
            $data = array('situacao' => 'matriculado-l');
            echo json_encode($data);
        } else {
            $data = array('situacao' => 'matriculado-l-erro');
            echo json_encode($data);
        }
    }

}
